Skip to main content
POST
/
api
/
batch
/
{batch_id}
/
analyses
/
bulk
Get batch analyses in bulk
curl --request POST \
  --url https://api-prod.nomadicml.com/api/batch/{batch_id}/analyses/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api-prod.nomadicml.com/api/batch/{batch_id}/analyses/bulk"

payload = { "video_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({video_ids: ['<string>']})
};

fetch('https://api-prod.nomadicml.com/api/batch/{batch_id}/analyses/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "analyses": [
    {}
  ],
  "unresolved_video_ids": [
    "<string>"
  ],
  "not_found_analysis_ids": [
    "<string>"
  ]
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Path Parameters

batch_id
string
required

Nomadic batch identifier.

Query Parameters

include_source_uri
boolean

Include original import URI when available.

Body

application/json
video_ids
string[]
required
Maximum array length: 500

Response

Successful response.

analyses
object[]
unresolved_video_ids
string[]
not_found_analysis_ids
string[]